Package com.collibra.dgc.importer.api.request

# Class SynchronizationFinalizationRequest

Object
BaseImportRequest
SynchronizationFinalizationRequest

All Implemented Interfaces:
  `Serializable`

public class SynchronizationFinalizationRequest extends BaseImportRequest
The request defining synchronization finalization call properties.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `continueOnError`
  Whether the operation should continue if some of the finalization steps failed to execute.
  `protected Boolean`
  `continueOnErrorRaw`
  Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it.

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchronizationFinalizationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Boolean`
  `getContinueOnErrorRaw()`
  Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it.
  `Map<SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder.CustomFinalizationParameter,String>`
  `getFinalizationParameters()`
  Deprecated.
  This parameter is deprecated and will be removed in the future.
  `String`
  `getFinalizationStrategy()`
  The synchronization finalization strategy used in the clean up action.
  `UUID`
  `getMissingAssetStatusId()`
  If finalizationStrategy is set to `CHANGE_STATUS` then this parameter determines the new status ID for assets that no longer exist in the external system.
  `String`
  `getSynchronizationId()`
  The synchronization ID used to distinguish different synchronizations.
  `int`
  `hashCode()`
  `boolean`
  `isContinueOnError()`
  Whether the operation should continue if some of the finalization steps failed to execute.
  `String`
  `toString()`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### continueOnError

    @DefaultValue("false") protected boolean continueOnError
    Whether the operation should continue if some of the finalization steps failed to execute. The default value is `true`.

    If `true`, the valid steps are still committed to the database, which can lead to partial results being stored.

  - ### continueOnErrorRaw

    protected Boolean continueOnErrorRaw
    Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it. Used for monitoring purposes only.

- ## Constructor Details

  - ### SynchronizationFinalizationRequest

    public SynchronizationFinalizationRequest()

- ## Method Details

  - ### builder

    public static SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder builder()

  - ### getSynchronizationId

    public String getSynchronizationId()
    The synchronization ID used to distinguish different synchronizations.

  - ### getFinalizationStrategy

    public String getFinalizationStrategy()
    The synchronization finalization strategy used in the clean up action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system. Possible values are `REMOVE_RESOURCES`, `CHANGE_STATUS` and `IGNORE`. When you select `CHANGE_STATUS` you must also provide a value for `missingAssetStatusId`.

  - ### getMissingAssetStatusId

    public UUID getMissingAssetStatusId()
    If finalizationStrategy is set to `CHANGE_STATUS` then this parameter determines the new status ID for assets that no longer exist in the external system.

  - ### getFinalizationParameters

    @Deprecated public Map<SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder.CustomFinalizationParameter,String> getFinalizationParameters()
    Deprecated.
    This parameter is deprecated and will be removed in the future. Please, use missingAssetStatusId.

  - ### isContinueOnError

    public boolean isContinueOnError()
    Whether the operation should continue if some of the finalization steps failed to execute. The default value is `true`.

    If `true`, the valid steps are still committed to the database, which can lead to partial results being stored.

  - ### getContinueOnErrorRaw

    public Boolean getContinueOnErrorRaw()
    Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it. Used for monitoring purposes only.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseImportRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseImportRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `BaseImportRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseImportRequest`